package com.xiaomi.apus.helloworld.server;

import com.facebook.swift.service.ThriftMethod;
import com.facebook.swift.service.ThriftService;
import com.google.common.util.concurrent.ListenableFuture;

public class EchoServer {

    @ThriftService("EchoServer")
    public interface Iface {

        @ThriftMethod("echo")
        String echo(String input);
    }


    @ThriftService("EchoServer")
    public interface AsyncIface {
        @ThriftMethod("echo")
        ListenableFuture<String> echo(String input);
    }
}