package com.xiaomi.apus.helloworld.server;

import com.xiaomi.apus.server.Bootstrap;
import com.xiaomi.apus.server.ServerConfig;
import com.xiaomi.apus.registry.servicecenter.ServiceCenterRegistryFactory;

public class Server {
    public static void main(String[] args) {
        ServerConfig<EchoServerImpl> config = new ServerConfig.Builder<>(EchoServerImpl.class)
                .registryFactory(new ServiceCenterRegistryFactory(EchoServerImpl.class))
                .port(12346).build();
        Bootstrap<EchoServerImpl> bootstrap = new Bootstrap<>(config);
        bootstrap.start();
    }
}